> For the complete documentation index, see [llms.txt](https://docs.world-creator.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.world-creator.com/reference/options/controls.md).

# Controls

## Overview

These settings affect the camera behavior in World Creator.

## Parameters

<table><thead><tr><th width="280">Properties</th><th>Description</th></tr></thead><tbody><tr><td><strong>Camera Movement Speed</strong></td><td>The main flying speed of the camera.</td></tr><tr><td><strong>Camera Rotation Speed</strong></td><td>How fast the camera rotates.</td></tr><tr><td><strong>Tablet Camera Movement Speed</strong></td><td>How fast the camera moves on tablets.</td></tr><tr><td><strong>Tablet Camera Rotation Speed</strong></td><td>How fast the camera rotates on tablets.</td></tr><tr><td><strong>Pen Camera Rotation Speed</strong></td><td>How fast the camera rotates using a pen.</td></tr><tr><td><strong>Camera Auto Rotate Speed</strong></td><td>Controls the speed of the camera auto-rotation feature.</td></tr><tr><td><strong>Adapt Camera to Viewport</strong></td><td>Changes how the viewport size/center is calculated. If disabled it takes the whole window (with UI) and otherwise only the area left of the UI.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.world-creator.com/reference/options/controls.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
